GET /inbox/conversations/{id}/messages

Messages of a conversation, oldest → newest within the page; before pages back in time

GET
/inbox/conversations/{id}/messages

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Conversation id

Query Parameters

limit?integer

Maximum items (default 50, max 100)

Range1 <= value <= 100
Default50
before?string

nextBefore of the previous page

Response Body

{conversationId, messages, nextBefore}

application/json
  1. response
conversationId?string
messages?array<>
nextBefore?|

Pass as before for older messages

Example Request
curl -X GET 'https://example.com/api/v1/inbox/conversations/string/messages'
Example Response
{  "conversationId": "string",  "messages": [    {      "id": "string",      "conversationId": "string",      "platformMessageId": "string",      "direction": "inbound",      "type": "text",      "text": "string",      "attachments": [        {          "type": "string",          "url": "string"        }      ],      "postback": {        "title": "string",        "payload": "string"      },      "reactions": [        {          "emoji": "string",          "by": "participant"        }      ],      "replyToMid": "string",      "isEcho": true,      "isDeleted": true,      "status": "received",      "tag": "HUMAN_AGENT",      "sentAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "readAt": "2019-08-24T14:15:22Z",      "source": "webhook",      "content": null,      "pricing": null,      "error": "string",      "failedAt": "2019-08-24T14:15:22Z"    }  ],  "nextBefore": "string"}